MUNGEKEY(8)

NAME
mungekey - MUNGE key management utility

SYNOPSIS
mungekey [-c] [-b bits] [-f] [-k keyfile] [-v]

DESCRIPTION
The mungekey executable is the key management utility for MUNGE. It should be run by the same user that starts the munged daemon.

If no options are specified, mungekey will attempt to create a new key using the default settings; this will fail if the keyfile already exists.

All munged daemons within a security realm must use the same key. In other words, all hosts within an administrative group (or cluster) using MUNGE for authentication must use the same key; this keyfile can be created on one host and then securely copied to all other hosts.

OPTIONS

-b, --bits integer
    Specify the number of bits in the key being created [256-8192].

-c, --create
    Create a new keyfile.

-f, --force
    Force the keyfile to be overwritten if it already exists.

-h, --help
    Display a summary of the command-line options.

-k, --keyfile path
    Specify the keyfile pathname.

-L, --license
    Display license information.

-v, --verbose
    Be verbose.

-V, --version
    Display version information.

FILES
/etc/munge/munge.key
    Contains the shared cryptographic key for hosts within the security realm.

AUTHOR
Chris Dunlap <cdunlap@llnl.gov>

COPYRIGHT
Copyright (C) 2007-2022 Lawrence Livermore National Security, LLC.
Copyright (C) 2002-2007 The Regents of the University of California.

MUNGE is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Additionally for the MUNGE library (libmunge), you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

SEE ALSO
munge(1), remunge(1), unmunge(1), munge(3), munge_ctx(3), munge_enum(3), munge(7), munged(8).

https://dun.github.io/munge/